[Bug 537757] [NEW] PHP modules removed when upgrading apache2 to 2.2.11-2ubuntu2.6

Ken West ken.west at citybibleforum.org
Thu Mar 11 23:47:05 GMT 2010


Public bug reported:

Binary package hint: apache2

My server is running Ubuntu 9.04 and is using the prefork MPM plus the
PHP module. The upgrade package seems to think I want to remove the
prefork MPM and replace it with Worker MPM. It then complains that the
dependency on the Worker MPM can't be satisfied (because it's not
installed!) and then installs the Prefork MPM.

After running this upgrade, PHP pages on my site no longer worked, and I
needed to reinstall the removed modules by hand (php5, php5-mysql,
php5-gd, php5-curl, andlibapache2-mod-php5).

Here's the relevant contents of the APT log ...

Log started: 2010-03-11  17:39:41
(Reading database ... 43700 files and directories currently installed.)
Preparing to replace apache2 2.2.11-2ubuntu2.5 (using .../apache2_2.2.11-2ubuntu2.6_all.deb) ...
Unpacking replacement apache2 ...
(Reading database ... 43699 files and directories currently installed.)
Removing php5-mysql ...
Removing php5-gd ...
Removing php5-curl ...
Removing libapache2-mod-php5 ...
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
Removing apache2-mpm-prefork ...
 * Stopping web server apache2
 ... waiting ..   ...done.
(Reading database ... 43679 files and directories currently installed.)
Preparing to replace apache2.2-common 2.2.11-2ubuntu2.5 (using .../apache2.2-common_2.2.11-2ubuntu2.6_i386.deb) ...
Unpacking replacement apache2.2-common ...
Selecting previously deselected package apache2-mpm-worker.
Unpacking apache2-mpm-worker (from .../apache2-mpm-worker_2.2.11-2ubuntu2.6_i386.deb) ...
Processing triggers for ufw ...
Processing triggers for man-db ...
Setting up apache2.2-common (2.2.11-2ubuntu2.6) ...

Setting up apache2-mpm-worker (2.2.11-2ubuntu2.6) ...
 * Starting web server apache2
   ...done.

Setting up apache2 (2.2.11-2ubuntu2.6) ...
Log ended: 2010-03-11  17:39:57

Log started: 2010-03-11  17:40:09
dpkg: apache2-mpm-worker: dependency problems, but removing anyway as you request:
 apache2 depends on apache2-mpm-worker (>= 2.2.11-2ubuntu2.6) | apache2-mpm-prefork (>= 2.2.11-2ubuntu2.6) | apache2-mpm-event (>= 2.2.11-2ubuntu2.6); h
owever:
  Package apache2-mpm-worker is to be removed.
  Package apache2-mpm-prefork is not installed.
  Package apache2-mpm-event is not installed.
(Reading database ... 43687 files and directories currently installed.)
Removing apache2-mpm-worker ...
 * Stopping web server apache2
 ... waiting .   ...done.
Selecting previously deselected package apache2-mpm-prefork.
(Reading database ... 43679 files and directories currently installed.)
Unpacking apache2-mpm-prefork (from .../apache2-mpm-prefork_2.2.11-2ubuntu2.6_i386.deb) ...
Setting up apache2-mpm-prefork (2.2.11-2ubuntu2.6) ...
 * Starting web server apache2
   ...done.

Log ended: 2010-03-11  17:40:16

** Affects: apache2 (Ubuntu)
     Importance: Undecided
         Status: New

-- 
PHP modules removed when upgrading apache2 to 2.2.11-2ubuntu2.6
https://bugs.launchpad.net/bugs/537757
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to apache2 in ubuntu.



More information about the Ubuntu-server-bugs mailing list